Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058330 - kernel-PAE-modules-extra no longer provides kernel-modules-extra
Summary: kernel-PAE-modules-extra no longer provides kernel-modules-extra
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: joystick-support
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1058331
TreeView+ depends on / blocked
 
Reported: 2014-01-27 14:57 UTC by Bruno Wolff III
Modified: 2014-05-15 02:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-15 02:56:07 UTC


Attachments (Terms of Use)
Patch to switch to using Requires on individual kernel modules (deleted)
2014-05-14 18:30 UTC, Josh Boyer
no flags Details | Diff

Description Bruno Wolff III 2014-01-27 14:57:31 UTC
Description of problem:
kernel-PAE-modules-extra no longer provides kernel-modules-extra, so that if you are using a PAE kernel, joystick-support will pull in non-PAE kernel packages.

Comment 1 Bruno Wolff III 2014-01-27 15:03:18 UTC
I tried using a requires on installonlypkg(kernel-module), but that isn't a good solution (for a couple of reasons) including potentially bringing back the original issue that prompted the provides change in the first place.

We need to wait for the *.ko autoprovides feature to be available.

Comment 2 ZiN 2014-02-18 09:24:37 UTC
It won't pull in non-PAE kernel but instead remove packages that depend on kernel-modules-extra. For exaple NetworkManager-l2tp. An by this unexpectedly break internet connectivity, for example, etc.

Comment 3 Bruno Wolff III 2014-05-14 15:20:42 UTC
Auto provides for kernel modules has been enabled in kernel-3.15.0-0.rc5.git2.8.fc21, which should show up in tomorrow's rawhide barring unexpected issues.
You can now use contructs like kmod(joydev.ko) to make sure the joystick driver is installed, instead of requiring kernel-modules-extra. This also makes packages proofed against modules moving between kernel-modules and kernel-modules-extra.

Comment 4 Josh Boyer 2014-05-14 18:30:22 UTC
Created attachment 895579 [details]
Patch to switch to using Requires on individual kernel modules

The attached patch switches joystick-support from using a Requires on kernel-modules-extra to using a requires on the individual kernel modules now that bug 1058331 is in rawhide.

Please review and let me know if it's OK to commit and build.

Comment 5 Bruno Wolff III 2014-05-15 02:56:07 UTC
I did the changes to this one and have tested it with the new kernel.


Note You need to log in before you can comment on or make changes to this bug.